net.sf.jasperreports.view.save

## Class JRPdfSaveContributor

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - net.sf.jasperreports.view.JRSaveContributor
    - - net.sf.jasperreports.view.save.JRPdfSaveContributor

-     public class JRPdfSaveContributor
      extends JRSaveContributor

  Version:
    $Id: JRPdfSaveContributor.java 6727 2013-11-11 13:17:30Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPdfSaveContributor(JasperReportsContext jasperReportsContext, java.util.Locale locale, java.util.ResourceBundle resBundle)`
    `JRPdfSaveContributor(java.util.Locale locale, java.util.ResourceBundle resBundle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)`
    `java.lang.String` | `getDescription()`
    `void` | `save(JasperPrint jasperPrint, java.io.File file)`

    - ### Methods inherited from class net.sf.jasperreports.view.JRSaveContributor

      `getBundleString, getJasperReportsContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPdfSaveContributor

          public JRPdfSaveContributor(java.util.Locale locale,
                              java.util.ResourceBundle resBundle)

      See Also:
        `JRPdfSaveContributor(JasperReportsContext, Locale, ResourceBundle)`

    - #### JRPdfSaveContributor

          public JRPdfSaveContributor(JasperReportsContext jasperReportsContext,
                              java.util.Locale locale,
                              java.util.ResourceBundle resBundle)

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File file)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

    - #### save

          public void save(JasperPrint jasperPrint,
                  java.io.File file)
                    throws JRException

      Specified by:
        `save` in class `JRSaveContributor`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com